<?php
/*
Plugin Name: AddInto
Plugin URI: http://www.addinto.com/tools/wordpress.php
Description: Helps readers share, save, bookmark, and email your posts and pages.
Version: 2.1.5
Author: AddInto
Author URI: http://www.addinto.com
*/



class AddInto_plugin {
	var $addInto_plugin_logos;
	var $bloginfo_lng;
	
	function AddInto_plugin () {
		add_filter('the_content', array(&$this, 'display'));
		add_filter('admin_menu', array(&$this, 'admin_menu'));
		//add_action('wp_footer', array(&$this, 'addinto_js'));
		add_option('ai_button_logo', 'logo_addinto');
		add_option('ai_align', 'left');
		add_option('ai_display_on_home', 'yes');
		add_option('ai_display_on_pages', 'no');
		add_option('ai_display_on_archives', 'yes');
		add_option('ai_display_on_categories', 'yes');
		add_option('ai_non_js', 'no');
		
		load_plugin_textdomain('addinto',WP_PLUGIN_DIR.'/'.dirname(plugin_basename(__FILE__)),dirname(plugin_basename(__FILE__)).'/lang');
		
		$this->addInto_plugin_logos = get_bloginfo('wpurl').'/wp-content/plugins/addinto/logos';
		$this->bloginfo_lng = get_bloginfo('language');
		
		if($_POST['addinto']) {
			$this->update_vars($_POST['addinto']);
			update_option( 'ai_srv', $_POST['ai_srv'] );
			update_option( 'ai_srvs', $_POST['ai_srvs'] );
		}
	}
	
	function update_vars ($vars) {
		foreach($vars as $key => $value) {
			if(get_option($key)) {
				update_option($key, $value);
			} else {
				add_option($key, $value);
			}
		}
	}
	
	function admin_menu () {
		add_options_page('AddInto Options', 'AddInto', 8, __FILE__, array(&$this, 'plugin_options'));
	}
	
	function plugin_options () {
	
	$langue = explode(",",$this->bloginfo_lng);
	$langue = StrToLower(substr(chop($langue[0]),0,2));
	$langue = ($langue == 'fr') ? 'fr' : 'en';
	
	// -----
	$logo_addinto = (get_option('ai_button_logo') == 'logo_addinto') ? ' checked="checked"' : '';
	$logo4 = (get_option('ai_button_logo') == 'logo4') ? ' checked="checked"' : '';
	$logo1 = (get_option('ai_button_logo') == 'logo1') ? ' checked="checked"' : '';
	$logo5 = (get_option('ai_button_logo') == 'logo5_fr' or get_option('ai_button_logo') == 'logo5_en') ? ' checked="checked"' : '';
	$logo7 = (get_option('ai_button_logo') == 'logo7_fr' or get_option('ai_button_logo') == 'logo7_en') ? ' checked="checked"' : '';
	// -----
	$align_left = (get_option('ai_align') == 'left') ? ' selected="selected"' : '';
	$align_center = (get_option('ai_align') == 'center') ? ' selected="selected"' : '';
	$align_right = (get_option('ai_align') == 'right') ? ' selected="selected"' : '';
	// -----
	$display_on_home_yes = (get_option('ai_display_on_home') == 'yes') ? ' checked="checked"' : '';
	$display_on_home_no = (get_option('ai_display_on_home') == 'no') ? ' checked="checked"' : '';
	$display_on_pages_yes = (get_option('ai_display_on_pages') == 'yes') ? ' checked="checked"' : '';
	$display_on_pages_no = (get_option('ai_display_on_pages') == 'no') ? ' checked="checked"' : '';
	$display_on_archives_yes = (get_option('ai_display_on_archives') == 'yes') ? ' checked="checked"' : '';
	$display_on_archives_no = (get_option('ai_display_on_archives') == 'no') ? ' checked="checked"' : '';
	$display_on_categories_yes = (get_option('ai_display_on_categories') == 'yes') ? ' checked="checked"' : '';
	$display_on_categories_no = (get_option('ai_display_on_categories') == 'no') ? ' checked="checked"' : '';
	$non_js_yes = (get_option('ai_non_js') == 'yes') ? ' checked="checked"' : '';
	$non_js_no = (get_option('ai_non_js') == 'no') ? ' checked="checked"' : '';
	
	?>

	<?php if ( !empty($_POST ) ) : ?>
	<div id="message" class="updated fade"><p><strong><?php _e('Options saved', 'addinto') ?></strong></p></div>
	<?php endif; ?>

	<div class="wrap">
	<h2><?php _e('AddInto Options', 'addinto') ?></h2>
		<form method="post" action="">
			<table class="form-table">
				<tr valign="top">
					<th scope="row"><?php _e('Button image', 'addinto') ?></th>
					<td>
						<input type="radio" name="addinto[ai_button_logo]" value="logo_addinto"<?php echo $logo_addinto; ?> id="logo_addinto" /> 
							<label for="logo_addinto"><img src="<?php echo $this->addInto_plugin_logos; ?>/logo_addinto.gif" alt="" style="border:none;" /></label> 
						<input type="radio" name="addinto[ai_button_logo]" value="logo4"<?php echo $logo4; ?> id="logo4" />
							<label for="logo4"><img src="<?php echo $this->addInto_plugin_logos; ?>/logo4.gif" alt="" style="border:none;" /></label>
						<input type="radio" name="addinto[ai_button_logo]" value="logo1"<?php echo $logo1; ?> id="logo1" />
							<label for="logo1"><img src="<?php echo $this->addInto_plugin_logos; ?>/logo1.gif" alt="" style="border:none;" /></label>
						<input type="radio" name="addinto[ai_button_logo]" value="logo5_<?php echo $langue; ?>"<?php echo $logo5; ?> id="logo5" />
							<label for="logo5"><img src="<?php echo $this->addInto_plugin_logos; ?>/logo5_<?php echo $langue; ?>.gif" alt="" style="border:none;" /></label>
						<input type="radio" name="addinto[ai_button_logo]" value="logo7_<?php echo $langue; ?>"<?php echo $logo7; ?> id="logo7" />
							<label for="logo7"><img src="<?php echo $this->addInto_plugin_logos; ?>/logo7_<?php echo $langue; ?>.gif" alt="" style="border:none;" /></label>
					</td>
				</tr>
				
				<tr valign="top">
					<th scope="row"><?php _e('Align', 'addinto') ?></th>
					<td>
						<select name="addinto[ai_align]">
							<option value="left"<?php echo $align_left; ?>><?php _e('Left', 'addinto') ?></option>
							<option value="center"<?php echo $align_center; ?>><?php _e('Center', 'addinto') ?></option>
							<option value="right"<?php echo $align_right; ?>><?php _e('Right', 'addinto') ?></option>
						</select>
					</td>
				</tr>
				
				<tr valign="top">
					<th scope="row"><?php _e('Display on', 'addinto') ?></th>
					<td>
						<?php _e('Home', 'addinto') ?> : 
						<input type="radio" name="addinto[ai_display_on_home]" value="yes"<?php echo $display_on_home_yes; ?> /> <?php _e('Yes', 'addinto') ?>
						<input type="radio" name="addinto[ai_display_on_home]" value="no"<?php echo $display_on_home_no; ?> /> <?php _e('No', 'addinto') ?><br />
						<?php _e('Pages', 'addinto') ?> : 
						<input type="radio" name="addinto[ai_display_on_pages]" value="yes"<?php echo $display_on_pages_yes; ?> /> <?php _e('Yes', 'addinto') ?>
						<input type="radio" name="addinto[ai_display_on_pages]" value="no"<?php echo $display_on_pages_no; ?> /> <?php _e('No', 'addinto') ?><br />
						<?php _e('Archives', 'addinto') ?> : 
						<input type="radio" name="addinto[ai_display_on_archives]" value="yes"<?php echo $display_on_archives_yes; ?> /> <?php _e('Yes', 'addinto') ?>
						<input type="radio" name="addinto[ai_display_on_archives]" value="no"<?php echo $display_on_archives_no; ?> /> <?php _e('No', 'addinto') ?><br />
						<?php _e('Categories', 'addinto') ?> : 
						<input type="radio" name="addinto[ai_display_on_categories]" value="yes"<?php echo $display_on_categories_yes; ?> /> <?php _e('Yes', 'addinto') ?>
						<input type="radio" name="addinto[ai_display_on_categories]" value="no"<?php echo $display_on_categories_no; ?> /> <?php _e('No', 'addinto') ?>
					</td>
				</tr>
				
				<tr valign="top">
					<th scope="row"><?php _e('Use non-javascript version', 'addinto') ?></th>
					<td>
						<input type="radio" name="addinto[ai_non_js]" value="yes"<?php echo $non_js_yes; ?> onclick="if(checked) { document.getElementById('s_srvs_td').style.display='none'; document.getElementById('s_srvs_th').style.display='none'; }" /> <?php _e('Yes', 'addinto') ?>
						<input type="radio" name="addinto[ai_non_js]" value="no"<?php echo $non_js_no; ?> onclick="if(checked) { document.getElementById('s_srvs_td').style.display='block'; document.getElementById('s_srvs_th').style.display='block'; }" /> <?php _e('No', 'addinto') ?>
					</td>
				</tr>
				
				<tr valign="top">
					<th scope="row">
						<div  id="s_srvs_th" <?php if(get_option('ai_non_js') == 'yes') echo 'style="display:none;"'; ?>>
							<?php _e('Select services to display', 'addinto') ?>
						</div>
					</th>
					<td>
						<div id="s_srvs_td" <?php if(get_option('ai_non_js') == 'yes') echo 'style="display:none;"'; ?>>
							<div><?php _e('Copy and paste services from popup window (<u>leave empty to use the default services</u>)', 'addinto') ?></div>
							<a href="javascript:void(0);" onclick="window.open('http://www.addinto.com/tools/gen_srvs.php?var=ai2_srv','popuppage','toolbar=0,resizable=1,scrollbars=yes,width=600,height=350,top=50,left=50');"><?php _e('For dropdown menu', 'addinto') ?></a> : 
							<input name="ai_srv" id="ai_srv" type="text" value="<?php echo get_option('ai_srv'); ?>" /> 
							<a style="cursor:pointer;" onclick="document.getElementById('ai_srv').value = ''; return false;" title="Clear">[X]</a>
							<br />
							<a href="javascript:void(0);" onclick="window.open('http://www.addinto.com/tools/gen_srvs.php?var=ai2_srvs','popuppage','toolbar=0,resizable=1,scrollbars=yes,width=600,height=350,top=50,left=50');"><?php _e('For popup window', 'addinto') ?></a> : 
							<input name="ai_srvs" id="ai_srvs" type="text" value="<?php echo get_option('ai_srvs'); ?>" /> 
							<a style="cursor:pointer;" onclick="document.getElementById('ai_srvs').value = ''; return false;" title="Clear">[X]</a>
						</div>
					</td>
				</tr>
				
			</table>
			<p class="submit">
				<input type="submit" name="Submit" class="button-secondary" value="<?php _e('Save Changes', 'addinto') ?>" />
			</p>
		</form>
	</div>
	<?php
	}
	
	function write_button () {
		$post_link  = urlencode(get_permalink());
		$post_title = urlencode(get_the_title($post->ID));
		$logo = get_option('ai_button_logo');
		$align = get_option('ai_align');
		$ai_srv = (get_option('ai_srv') != '') ? 'var ai2_bkmk = "'.get_option('ai_srv').'";' : '';
		$ai_srvs = (get_option('ai_srvs') != '') ? 'var ai2_bkmks = "'.get_option('ai_srvs').'";' : '';
		
		$button = '';
		$button .= '<div style="text-align:'.$align.';">';
		if(get_option('ai_non_js') == 'yes') {
				$button .= '<a target="_blank" href="http://www.addinto.com/ai?type=bkmk&amp;url='.$post_link.'&amp;title='.$post_title.'">';
		} else {
				$button .= '<a href="http://www.addinto.com/ai?type=bkmk&amp;url='.$post_link.'&amp;title='.$post_title.'" onmouseover="ai2display_bkmk(this, \''.$post_title.'\', \''.$post_link.'\');" onmouseout="ai2close_bkmk();">';
			if($ai_srv != '' || $ai_srvs != '') $button .= '<script type="text/javascript">'.$ai_srv.$ai_srvs.'</script>';
			$button .= '<script type="text/javascript" src="http://www.addinto.com/ai/ai2_bkmk.js"></script>';
		}
		$button .= '<img src="'.$this->addInto_plugin_logos.'/'.$logo.'.gif" alt="'.__('Bookmark/share via AddInto', 'addinto').'" style="border:0;" />';
		$button .= '</a>';
		$button .= '</div>';
		return $button;
	}
	
	/*function addinto_js () {
		$ai_srv = (get_option('ai_srv') != '') ? 'var ai2_bkmk = "'.get_option('ai_srv').'";' : '';
		$ai_srvs = (get_option('ai_srvs') != '') ? 'var ai2_bkmks = "'.get_option('ai_srvs').'";' : '';
		if($ai_srv != '' || $ai_srvs != '') echo '<script type="text/javascript">'.$ai_srv.$ai_srvs.'</script>';
		echo '<script type="text/javascript" src="http://www.addinto.com/ai/ai2_bkmk.js"></script>';
	}*/
	
	function display ($content) {
			$display_home = get_option('ai_display_on_home');
			$display_pages = get_option('ai_display_on_pages');
			$display_archives = get_option('ai_display_on_archives');
			$display_categories = get_option('ai_display_on_categories');
		
		if (is_feed()) return $content;
		elseif (is_single()) return $content .= $this->write_button();
		elseif (is_home() && $display_home == 'yes') return $content .= $this->write_button();
		elseif (is_page() && $display_pages == 'yes') return $content .= $this->write_button();
		elseif (is_archive() && $display_archives == 'yes') return $content .= $this->write_button();
		elseif (is_category() && $display_categories == 'yes') return $content .= $this->write_button();
	}

}

$AddInto =& new AddInto_plugin();
?>